<?php

namespace App\Http\Controllers;

use App\Models\Subscription;
use App\Models\SubscriptionDetail;
use Illuminate\Http\Request;
use Illuminate\Support\Str;
use Validator;

class SubscriptionController extends Controller
{
    public function index()
    {
        $subscriptions = Subscription::all();
        return view('admin.subscriptionslist', compact('subscriptions'));
    }

    public function addsubscription()
    {
        return view('admin.addsubscriptions');
    }

    public function savesubscription(Request $request)
    {
        $data['heading'] = $request->heading;
        $data['price'] = $request->price;
        $data['records'] = $request->records;
        $data['slug'] = Str::slug($request->heading);
        $CheckSlug = Subscription::where('slug', Str::slug($request->heading))->count();
        if ($CheckSlug > 0) {
            return back()->with('error', 'This heading is already exist .');
        }
        $save = Subscription::create($data);
        if (isset($request->detail) && !empty($request->detail)) {
            foreach ($request->detail as $as => $de) {
                $data1['subscriptionid'] = $save->id;
                $data1['detail'] = $de;
                SubscriptionDetail::create($data1);
            }
        }
        return redirect()->route('admin.subscriptions')->with('success', 'Data Successfully Added !');
    }

    public function deletesubscription($id)
    {
        $getData = Subscription::findOrFail($id);
        $getData->delete();
        return back()->with('success', 'Data Deleted Successfully !');
    }

    public function editsubscription($id)
    {
        $data = Subscription::findOrFail($id);
        return view('admin.editsubscription', compact('data'));
    }

    public function updatesubscription(Request $request)
    {
//        dd($request->all());

        $getData = Subscription::findOrFail($request->id);

        $getData['heading'] = $request->heading;
        $getData['price'] = $request->price;
        $getData['records'] = $request->records;
        $getData->save();
        if (isset($request->detail) && !empty($request->detail)) {
            SubscriptionDetail::where('subscriptionid', $request->id)->delete();
            foreach ($request->detail as $as => $de) {
                $data1['subscriptionid'] = $request->id;
                $data1['detail'] = $de;
                SubscriptionDetail::create($data1);
            }
        }
        return redirect()->route('admin.subscriptions')->with('success', 'Data Successfully Updated !');
    }


}
