@extends('admin.layout.master')

@section('title')
    Manage Record
@endsection

<link rel="stylesheet" href="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.css') }}">

@section('content')

    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ route('admin./') }}">Home</a></li>
                <li class="breadcrumb-item active" aria-current="page">Manage Record</li>
            </ol>
        </nav>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-5">
                            <div class="col-md-12"><h6 class="card-title">Manage Record</h6></div>
                        </div>
                        <div class="table-responsive">
                            <table id="dataTableExample" class="table">
                                <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Name</th>
                                    <th>Phone</th>
                                    <th>Address</th>
                                    <th>Postal Code</th>
                                    <th>State</th>
                                    <th>City</th>
                                    <th>MLS Number</th>
                                    <th>Commission</th>
                                    <th>Status</th>
                                    <th>Record Type</th>
                                    <th>Created At</th>
                                    <th>Edit</th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php $count = 1; ?>
                                @forelse($records as $r=>$record)
                                    @if(($record->record_type=="withoutsubscription") && ($record->payment_status=="paid"))
                                        <tr>
                                            <td>{{ $count }}</td>
                                            <td>{{ $record->name }}</td>
                                            <td>{{ $record->phone }}</td>
                                            <td>{{ $record->address }}</td>
                                            <td>{{ $record->postal_code }}</td>
                                            <td>{{ $record->state }}</td>
                                            <td>{{ $record->city }}</td>
                                            <td>{{ $record->mls_number }}</td>
                                            <td>{{ $record->commission }} {{ $record->type }}</td>
                                            <td>
                                                @if($record->status=="1")
                                                    <strong style="color:green">Active</strong>
                                                @else
                                                    <strong style="color:red">Inactive</strong>
                                                @endif
                                            </td>
                                            <td>{{ $record->record_type }}</td>
                                            <td>{{ Carbon\Carbon::parse($record->created_at)->format('d M Y') }}</td>
                                            <td>
                                                <a href="{{ route('admin.edit_record',[encrypt($record->id)]) }}"
                                                   class="btn btn-warning">Edit</a>
                                                <a onclick="return(confirm('are you sure ?'))"
                                                   href="{{ route('admin.delete_record',[encrypt($record->id)]) }}"
                                                   class="btn btn-danger">Delete</a>
                                            </td>
                                        </tr>
                                            <?php $count++; ?>
                                    @endif
                                    @if($record->record_type=="subscription")
                                        <tr>
                                            <td>{{ $count }}</td>
                                            <td>{{ $record->name }}</td>
                                            <td>{{ $record->phone }}</td>
                                            <td>{{ $record->address }}</td>
                                            <td>{{ $record->postal_code }}</td>
                                            <td>{{ $record->state }}</td>
                                            <td>{{ $record->city }}</td>
                                            <td>{{ $record->mls_number }}</td>
                                            <td>{{ $record->commission }} {{ $record->type }}</td>
                                            <td>
                                                @if($record->status=="1")
                                                    <strong style="color:green">Active</strong>
                                                @else
                                                    <strong style="color:red">Inactive</strong>
                                                @endif
                                            </td>
                                            <td>{{ $record->record_type }}</td>
                                            <td>{{ Carbon\Carbon::parse($record->created_at)->format('d M Y') }}</td>
                                            <td>
                                                <a href="{{ route('admin.edit_record',[encrypt($record->id)]) }}"
                                                   class="btn btn-warning">Edit</a>
                                                <a onclick="return(confirm('are you sure ?'))"
                                                   href="{{ route('admin.delete_record',[encrypt($record->id)]) }}"
                                                   class="btn btn-danger">Delete</a>
                                            </td>
                                        </tr>
                                            <?php $count++; ?>
                                    @endif

                                @empty
                                @endforelse
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
@section('script')

    <script src="{{ URL::asset('admin/assets/vendors/datatables.net/jquery.dataTables.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/js/data-table.js') }}"></script>

@endsection
