@extends('website.layout.master')

@section('title')
    Forgot
@endsection

@section('content')

    <main>

        <!-- breadcrumb area start -->
        <div class="breadcrumb__area breadcrumb__overlay breadcrumb__height p-relative fix"
             data-background="{{ URL::asset('website/images/hero/hero-3-2.jpg')}} ">
            <div class="container">
                <div class="row">
                    <div class="col-xxl-12">
                        <div class="breadcrumb__content z-index text-center">
                            <div class="breadcrumb__list">
                                <span><a href="{{route('/')}}">Home</a></span>
                                <span class="dvdr"><i class="fa fa-angle-right"></i></span>
                                <span>Forget Password</span>
                            </div>
                            <h3 class="breadcrumb__title">Forget Password</h3>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- breadcrumb area end -->

        <!-- postbox area start -->
        <section class="postbox__area pt-120 pb-100">
            <div class="container">
                <div class="row">
                    <div class="col-xxl-8 col-xl-8 col-lg-8 offset-md-2">
                        <div class="postbox__wrapper">
                            <div class="postbox__comment-form">
                                <h2><b>Forgot Password?</b></h2>
                                <h3 class="postbox__comment-form-title">No worries! We’ll help you reset it.</h3>
                                @include('website.layout.laravel_errors')
                                <form class="MyForm" action="{{ route('resetpassword') }}" method="post" enctype="multipart/form-data">
                                    @csrf
                                    <div class="row">
                                        <div class="col-xxl-12 col-xl-12 col-lg-12">
                                            <div class="postbox__comment-input">
                                                <label>Email*</label>
                                                <input name="email" type="email" required placeholder="Email*">
                                            </div>
                                        </div>
                                        <div class="col-xxl-12" style="text-align: center">
                                            <div class="postbox__comment-btn">
                                                <button type="submit" class="tp-btn-square MyButton">Submit</button>
                                            </div>
                                        </div>
                                        <div class="col-xxl-12">
                                            <div class="postbox__comment-btn">
                                                <div class="registertext mt-15" style="text-align: center">
                                                    <a href="{{route('login')}}" class="member">Back to Login?</a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                                <p class="ajax-response"></p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- postbox area end -->

        <!-- cta area start -->
        <div class="tp-cta-3__area">
            <div class="container">
                <div class="tp-cta-3__bg p-relative">
                    <div class="tp-cta-3__left-shape">
                        <img src="{{ URL::asset('website/images/cta/cta-icon-3-3.png')}} " alt="">
                    </div>
                    <div class="row">
                        <div class="col-xl-8 col-lg-6">
                            <div class="tp-cta-3__title-box text-lg-start text-center">
                                <h5 class="tp-cta-3__title-sm">Access, contribute, and manage data with our powerful
                                    database.</h5>
                            </div>
                        </div>
                        <div class="col-xl-4 col-lg-6">
                            <div
                                    class="tp-cta-3__right-wrap d-flex align-items-center justify-content-lg-end justify-content-center">
                                <div class="tp-cta-3__offer-box p-relative d-flex align-items-center">
                                    <div class="tp-cta-3__offer-shape d-none d-xl-block">
                                        <img src="{{ URL::asset('website/images/cta/cta-icon-3-2.png')}} " alt="">
                                    </div>
                                </div>
                                <div class="tp-cta-3__btn">
                                    <a class="tp-btn-black" href="{{route('subscription')}}">Subscribe Now!</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- cta area end -->

    </main>

@endsection

