@extends('website.layout.master')

@section('title')
    Registration
@endsection

@section('content')
    <main>

        <!-- breadcrumb area start -->
        <div class="breadcrumb__area breadcrumb__overlay breadcrumb__height p-relative fix"
             data-background="{{ URL::asset('website/images/hero/hero-3-2.jpg')}} ">
            <div class="container">
                <div class="row">
                    <div class="col-xxl-12">
                        <div class="breadcrumb__content z-index text-center">
                            <div class="breadcrumb__list">
                                <span><a href="{{route('/')}}">Home</a></span>
                                <span class="dvdr"><i class="fa fa-angle-right"></i></span>
                                <span>Registration</span>
                            </div>
                            <h3 class="breadcrumb__title">Registration</h3>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- breadcrumb area end -->

        <!-- postbox area start -->
        <section class="postbox__area pt-120 pb-100">
            <div class="container">
                <div class="row">
                    <div class="col-xxl-8 col-xl-8 col-lg-8 offset-md-2">
                        <div class="postbox__wrapper">
                            <div class="postbox__comment-form">
                                <h2><b>Registration</b></h2>
                                <h3 class="postbox__comment-form-title">Complete the form below to register</h3>
                                @include('website.layout.laravel_errors')
                                <form class="MyForm" action="{{ route('saveuser') }}" method="post" enctype="multipart/form-data">
                                    @csrf
                                    <div class="row">
                                        <div class="col-xxl-12 col-xl-12 col-lg-12">
                                            <div class="postbox__comment-input">
                                                <label>Name*</label>
                                                <input name="name" type="text" placeholder="Name*" required value="{{ old('name') }}">
                                            </div>
                                        </div>
                                        <div class="col-xxl-12 col-xl-12 col-lg-12">
                                            <div class="postbox__comment-input">
                                                <label>Email*</label>
                                                <input name="email" type="email" placeholder="Email*" required value="{{ old('email') }}">
                                            </div>
                                        </div>
                                        <div class="col-xxl-12 col-xl-12 col-lg-12">
                                            <div class="postbox__comment-input">
                                                <label>Phone No*</label>
                                                <input name="phone" required type="tel" placeholder="Phone No*" value="{{ old('phone') }}">
                                            </div>
                                        </div>
                                        <div class="col-xxl-12 col-xl-12 col-lg-12">
                                            <div class="postbox__comment-input">
                                                <label>Password*</label>
                                                <input name="password" required minlength="8" type="password"
                                                       placeholder="Password*" value="{{ old('password') }}">
                                            </div>
                                        </div>
                                        <div class="col-xxl-12 col-xl-12 col-lg-12">
                                            <div class="postbox__comment-input">
                                                <label>Confirm Password*</label>
                                                <input name="password_confirmation" required minlength="8" type="password"
                                                       placeholder="Confirm Password*" value="{{ old('password_confirmation') }}">
                                            </div>
                                        </div>
                                        <div class="col-xxl-12" style="text-align: center">
                                            <div class="postbox__comment-btn">
                                                <button type="submit" class="tp-btn-square MyButton">Submit</button>
                                            </div>
                                        </div>
                                        <div class="col-xxl-12">
                                            <div class="postbox__comment-btn">
                                                <div class="registertext mt-15" style="text-align: center">
                                                    <a href="{{route('login')}}" class="member">Already have an account?
                                                        Back to Login</a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                                <p class="ajax-response"></p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- postbox area end -->
    </main>

@endsection

