

<?php $__env->startSection('title'); ?>
    Listing Agents
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <style>
        .tp-btn-subscribe {
            color: var(--tp-common-black);
            background-color: var(--tp-theme-2);
            border-color: var(--tp-theme-2);
        }
    </style>

    <main>

        <!-- breadcrumb area start -->
        <div class="breadcrumb__area breadcrumb__overlay breadcrumb__height p-relative fix"
             data-background="<?php echo e(URL::asset('website/images/hero/hero-3-2.jpg')); ?> ">
            <div class="container">
                <div class="row">
                    <div class="col-xxl-12">
                        <div class="breadcrumb__content z-index text-center">
                            <div class="breadcrumb__list">
                                <span><a href="<?php echo e(route('home')); ?>">Home</a></span>
                                <span class="dvdr"><i class="fa fa-angle-right"></i></span>
                                <span>Listing Agents</span>
                            </div>
                            <h3 class="breadcrumb__title">Listing Agents</h3>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- breadcrumb area end -->

        <!-- about area start -->
        <div class="tp-about__area p-relative pt-120 pb-130">
            <div class="tp-about__left-big-1">
                <img src="<?php echo e(URL::asset('website/images/about/ab-left-big-shape-1.png')); ?> " alt="">
            </div>
            <div class="tp-about__right-top-shape">
                <img src="<?php echo e(URL::asset('website/images/about/ab-right-top-shape.png')); ?> " alt="">
            </div>
            <div class="tp-about__right-bottom-shape">
                <img src="<?php echo e(URL::asset('website/images/about/ab-right-bottom-shape.png')); ?>  " alt="">
            </div>
            <div class="container">
                <div class="row">
                    <div class="col-xl-12 col-lg-12 wow tpfadeRight" data-wow-duration=".9s" data-wow-delay=".5s">
                        <div class="tp-about__right-wrapper">
                            <div class="tp-about__title-box">
                                <div class="tp-section-subtitle-box">
                                    <span class="tp-section-subtitle section-subtitle-border">REAL ESTATE COMMISSION DATABASE</span>
                                </div>
                                <h3 class="tp-section-title">
                                    Listing Agents
                                </h3>
                            </div>
                            <div class="tp-about__text">
                                <p>Listing agents in the Real Estate Commission Database play a pivotal role in the real
                                    estate market by representing sellers in the sale of their properties. These agents
                                    are responsible for marketing the property, setting a competitive price, and
                                    negotiating with potential buyers to ensure the best possible deal for the seller.
                                    The Real Estate Commission Database provides a comprehensive listing of these
                                    agents, including their credentials, experience, and performance records, ensuring
                                    transparency and trust in real estate transactions. By accessing this database,
                                    sellers can make informed decisions when selecting an agent, ultimately facilitating
                                    a smoother and more efficient sale process.</p>
                            </div>

                            <div class="row text-center">

                                <div class="col-md-3 mb-3">
                                    <a class="tp-btn-subscribe w-100"
                                       href="<?php echo e(route('about')); ?>">About Us <i
                                                class="fa-sharp fa-light fa-arrow-right"></i></a>
                                </div>

                                <div class="col-md-3 mb-3">
                                    <a class="tp-btn-subscribe w-100"
                                       href="<?php echo e(route('subscription')); ?>">Pricing <i
                                                class="fa-sharp fa-light fa-arrow-right"></i></a>
                                </div>

                                <div class="col-md-3 mb-3">
                                    <a class="tp-btn-subscribe w-100"
                                       href="<?php echo e(route('faq')); ?>">Faq's <i
                                                class="fa-sharp fa-light fa-arrow-right"></i></a>
                                </div>

                                <div class="col-md-3 mb-3">
                                    <a class="tp-btn-subscribe w-100"
                                       href="<?php echo e(route('terms')); ?>">Terms & Conditions <i
                                                class="fa-sharp fa-light fa-arrow-right"></i></a>
                                </div>

                                <div class="col-md-3 mb-3">
                                    <a class="tp-btn-subscribe w-100"
                                       href="<?php echo e(route('privacy')); ?>">Privacy Policy <i
                                                class="fa-sharp fa-light fa-arrow-right"></i></a>
                                </div>

                                <?php if(Auth::check() && Auth::user()->type == "user"): ?>
                                <div class="col-md-3 mb-3">
                                    <a class="tp-btn-subscribe w-100"
                                       href="<?php echo e(route('profile')); ?>">Profile <i
                                                class="fa-sharp fa-light fa-arrow-right"></i></a>
                                </div>

                                <div class="col-md-3 mb-3">
                                    <a class="tp-btn-subscribe w-100"
                                       href="<?php echo e(route('record')); ?>">Add Record <i
                                                class="fa-sharp fa-light fa-arrow-right"></i></a>
                                </div>

                                    <div class="col-md-3 mb-3">
                                    <a class="tp-btn-subscribe w-100"
                                       href="<?php echo e(route('manage_records_list')); ?>">Record History <i
                                                class="fa-sharp fa-light fa-arrow-right"></i></a>
                                </div>

                                <div class="col-md-3 mb-3">
                                    <a class="tp-btn-subscribe w-100"
                                       href="<?php echo e(route('history')); ?>">Subscription History <i
                                                class="fa-sharp fa-light fa-arrow-right"></i></a>
                                </div>

                                <div class="col-md-3 mb-3">
                                    <a class="tp-btn-subscribe w-100"
                                       href="<?php echo e(route('customerlogout')); ?>">Logout <i
                                                class="fa-sharp fa-light fa-arrow-right"></i></a>
                                </div>
                                <?php else: ?>
                                    <div class="col-md-3 mb-3">
                                        <a class="tp-btn-subscribe w-100"
                                           href="<?php echo e(route('register')); ?>">Signup <i
                                                    class="fa-sharp fa-light fa-arrow-right"></i></a>
                                    </div>

                                    <div class="col-md-3 mb-3">
                                        <a class="tp-btn-subscribe w-100"
                                           href="<?php echo e(route('login')); ?>">Login <i
                                                    class="fa-sharp fa-light fa-arrow-right"></i></a>
                                    </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- about area end -->

    </main>

<?php $__env->stopSection(); ?>


<?php echo $__env->make('website.layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/lovekbkg/public_html/REComm/resources/views/website/listing_agent.blade.php ENDPATH**/ ?>