

<?php $__env->startSection('title'); ?>
    Users List
<?php $__env->stopSection(); ?>

<link rel="stylesheet" href="<?php echo e(URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.css')); ?>">

<?php $__env->startSection('content'); ?>

    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="<?php echo e(route('admin./')); ?>">Home</a></li>
                <li class="breadcrumb-item active" aria-current="page">Users List</li>
            </ol>
        </nav>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-5">
                            <div class="col-md-12"><h6 class="card-title">Users List</h6></div>
                        </div>
                        <div class="table-responsive">
                            <table id="dataTableExample" class="table">
                                <thead>
                                <tr>
                                    <th>Id</th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Phone</th>
                                    <th>Email Status</th>
                                    <th>Account Status</th>
                                    <th>Edit</th>
                                    <th>Delete</th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php $__empty_1 = true; $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $u=>$user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <tr>
                                        <td><?php echo e($u+1); ?></td>
                                        <td><?php echo e(($user->name) ? $user->name : '--'); ?></td>
                                        <td><?php echo e(($user->email) ? $user->email : '--'); ?></td>
                                        <td><?php echo e(($user->phone) ? $user->phone : '--'); ?></td>
                                        <td>
                                            <?php if($user->email_verification=="1"): ?>
                                                <a href=""
                                                   onclick="return(confirm('Are you sure to make this user email status unverified ?'))">
                                                    <strong style="color: green">Verified</strong>
                                                </a>
                                            <?php else: ?>
                                                <a href=""
                                                   onclick="return(confirm('Are you sure to make this user email status unverified ?'))">
                                                    <strong style="color: red">Unverified</strong>
                                                </a>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <?php if($user->status=="active"): ?>
                                                <a href=""
                                                   onclick="return(confirm('Are you sure to make this user inactive ?'))">
                                                    <strong style="color: green">Active</strong>
                                                </a>
                                            <?php else: ?>
                                                <a href=""
                                                   onclick="return(confirm('Are you sure to make this user active ?'))">
                                                    <strong style="color: red">Inactive/Blocked</strong>
                                                </a>
                                            <?php endif; ?>
                                        </td>
                                        <td>
                                            <a data-bs-toggle="modal"
                                               data-bs-target="#UpdateTeam<?php echo e($user->id); ?>"
                                               class="btn btn-info btn-icon">
                                                <i data-feather="edit"></i>
                                            </a>
                                        </td>
                                        <td>
                                            <a href="<?php echo e(route('admin.deleted_user',[encrypt($user->id)])); ?>"
                                               onclick="return(confirm('Are you sure to delete this user permanently ?'))"
                                               class="btn btn-danger">
                                                <i data-feather="trash"></i>
                                            </a>
                                        </td>
                                    </tr>

                                    <div class="modal fade" id="UpdateTeam<?php echo e($user->id); ?>" tabindex="-1"
                                         aria-labelledby="exampleModalLabel" aria-hidden="true">
                                        <div class="modal-dialog modal-lg">
                                            <div class="modal-content">
                                                <div class="modal-header bg-dark">
                                                    <h5 class="modal-title text-white" id="exampleModalLabel">Edit
                                                        User</h5>
                                                    <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                            aria-label="btn-close"></button>
                                                </div>
                                                <div class="modal-body">
                                                    <div class="container">
                                                        <form action="<?php echo e(route('admin.update_user')); ?>" method="post"
                                                              enctype="multipart/form-data" class="MyForm">
                                                            <?php echo csrf_field(); ?>
                                                            <input type="hidden" name="id" value="<?php echo e($user->id); ?>">
                                                            <div class="row">
                                                                <div class="col-md-6">
                                                                    <div class="form-group">
                                                                        <label> Name </label>
                                                                        <input type="text" name="name"
                                                                               autocomplete="off"
                                                                               class="form-control MyInput"
                                                                               required="" placeholder="Name . . . "
                                                                               value="<?php echo e(($user->name) ? $user->name : ''); ?>">
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <div class="form-group">
                                                                        <label> Email </label>
                                                                        <input type="email" name="email"
                                                                               autocomplete="off"
                                                                               class="form-control MyInput"
                                                                               required="" placeholder="Email . . . "
                                                                               value="<?php echo e(($user->email) ? $user->email : ''); ?>">
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <div class="form-group">
                                                                        <label> Phone </label>
                                                                        <input type="text" name="phone"
                                                                               autocomplete="off"
                                                                               class="form-control MyInput"
                                                                               placeholder="Phone . . . "
                                                                               value="<?php echo e(($user->phone) ? $user->phone : ''); ?>">
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <div class="form-group">
                                                                        <label> Password </label>
                                                                        <input type="password" name="password"
                                                                               autocomplete="off"
                                                                               class="form-control MyInput"
                                                                               minlength="8"
                                                                               placeholder="Password . . . "
                                                                               value="">
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <div class="form-group">
                                                                        <label> Email Status </label>
                                                                        <select name="email_verification"
                                                                                class="form-control MyInput" required>
                                                                            <option value="1"
                                                                                    <?php if($user->email_verification=="1"): ?> selected <?php endif; ?>>
                                                                                Active
                                                                            </option>
                                                                            <option value="0"
                                                                                    <?php if($user->email_verification=="0"): ?> selected <?php endif; ?>>
                                                                                Inactive
                                                                            </option>
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <div class="form-group">
                                                                        <label> Account Status </label>
                                                                        <select name="status"
                                                                                class="form-control MyInput" required>
                                                                            <option value="active"
                                                                                    <?php if($user->status=="active"): ?> selected <?php endif; ?>>
                                                                                active
                                                                            </option>
                                                                            <option value="inactive"
                                                                                    <?php if($user->status=="inactive"): ?> selected <?php endif; ?>>
                                                                                inactive
                                                                            </option>
                                                                        </select>
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-12 mt-3 text-center">
                                                                    <button class="btn btn-dark MyButton" type="submit">
                                                                        Save
                                                                    </button>
                                                                </div>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <?php endif; ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>

    <script src="<?php echo e(URL::asset('admin/assets/vendors/datatables.net/jquery.dataTables.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('admin/assets/js/data-table.js')); ?>"></script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/lovekbkg/public_html/REComm/resources/views/admin/userlist.blade.php ENDPATH**/ ?>